List marketplace catalog
GET
/marketplace
const url = 'https://shoehorn.example.com/api/v1/marketplace?kind=addon';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://shoehorn.example.com/api/v1/marketplace?kind=addon'Returns available addons in the marketplace, optionally filtered by kind.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” kind
string
Filter by addon kind
category
string
search
string
Responses
Section titled “ Responses ”Marketplace catalog
Media type application/json
object
items
Array<object>
object
slug
string
name
string
description
string
version
string
author
string
category
string
tier
string
icon
string
installed
boolean
Example
{ "items": [ { "tier": "free" } ]}